PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractsWithZoneEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

o

net.psforever.objects.serverobject.environment

# EnvironmentAttribute

###

#### object EnvironmentAttribute extends Enum[EnvironmentTrait]

Source
  PieceOfEnvironment.scala

Linear Supertypes
Enum[EnvironmentTrait], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EnvironmentAttribute
2. Enum
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  macro def findValues: IndexedSeq[EnvironmentTrait]
   Attributes
     protected
   Definition Classes
     Enum
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def indexOf(member: EnvironmentTrait): Int
    Definition Classes
      Enum
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final lazy val lowerCaseNamesToValuesMap: Map[String, EnvironmentTrait]
    Definition Classes
      Enum
15.  lazy val namesToValuesMap: Map[String, EnvironmentTrait]
    Definition Classes
      Enum
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final lazy val upperCaseNameValuesToMap: Map[String, EnvironmentTrait]
    Definition Classes
      Enum
22.  val values: IndexedSeq[EnvironmentTrait]

    glue connecting `EnumEntry` to `Enumeration`

    glue connecting `EnumEntry` to `Enumeration`

    Definition Classes
      EnvironmentAttribute → Enum
23.  final lazy val valuesToIndex: Map[EnvironmentTrait, Int]
    Definition Classes
      Enum
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
27.  def withName(name: String): EnvironmentTrait
    Definition Classes
      Enum
    Annotations
      @SuppressWarnings()
28.  def withNameEither(name: String): Either[NoSuchMember[EnvironmentTrait], EnvironmentTrait]
    Definition Classes
      Enum
29.  def withNameInsensitive(name: String): EnvironmentTrait
    Definition Classes
      Enum
    Annotations
      @SuppressWarnings()
30.  def withNameInsensitiveEither(name: String): Either[NoSuchMember[EnvironmentTrait], EnvironmentTrait]
    Definition Classes
      Enum
31.  def withNameInsensitiveOption(name: String): Option[EnvironmentTrait]
    Definition Classes
      Enum
32.  def withNameLowercaseOnly(name: String): EnvironmentTrait
    Definition Classes
      Enum
    Annotations
      @SuppressWarnings()
33.  def withNameLowercaseOnlyEither(name: String): Either[NoSuchMember[EnvironmentTrait], EnvironmentTrait]
    Definition Classes
      Enum
34.  def withNameLowercaseOnlyOption(name: String): Option[EnvironmentTrait]
    Definition Classes
      Enum
35.  def withNameOption(name: String): Option[EnvironmentTrait]
    Definition Classes
      Enum
36.  def withNameUppercaseOnly(name: String): EnvironmentTrait
    Definition Classes
      Enum
    Annotations
      @SuppressWarnings()
37.  def withNameUppercaseOnlyEither(name: String): Either[NoSuchMember[EnvironmentTrait], EnvironmentTrait]
    Definition Classes
      Enum
38.  def withNameUppercaseOnlyOption(name: String): Option[EnvironmentTrait]
    Definition Classes
      Enum
39.  case object Death extends EnvironmentTrait with Product with Serializable
40.  case object GantryDenialField extends EnvironmentTrait with Product with Serializable
41.  case object Lava extends EnvironmentTrait with Product with Serializable
42.  case object Water extends EnvironmentTrait with Product with Serializable

### Inherited from Enum[EnvironmentTrait]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped